Bug 510814 - CPU hotplug notifiers for KVM (for suspend and cpu hotplug support)
CPU hotplug notifiers for KVM (for suspend and cpu hotplug support)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
Red Hat Kernel QE team
:
: 514912 515112 (view as bug list)
Depends On:
Blocks: 533192 506967 509809 515557 516122 524920 528310 528898 554648
  Show dependency treegraph
 
Reported: 2009-07-10 18:10 EDT by Eduardo Habkost
Modified: 2013-01-09 16:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 08:18:21 EDT

  None (edit)
Description Eduardo Habkost 2009-07-10 18:10:48 EDT
In order to support suspend-to-disk and suspend-to-RAM while using KVM, additions are needed on the kernel CPU hotplug support. This patch in special: http://lkml.org/lkml/2007/5/24/108

From the patch description:

"KVM wants a notification when a cpu is about to die, so it can disable
hardware extensions, but at a time when user processes cannot be scheduled
on the cpu, so it doesn't try to use virtualization extensions after they
have been disabled."
Comment 4 Eduardo Habkost 2009-08-26 16:47:43 EDT
*** Bug 514912 has been marked as a duplicate of this bug. ***
Comment 6 Eduardo Habkost 2009-09-24 17:54:29 EDT
*** Bug 515112 has been marked as a duplicate of this bug. ***
Comment 8 Don Zickus 2009-10-21 15:12:23 EDT
in kernel-2.6.18-170.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 10 lihuang 2010-01-31 08:14:21 EST
on kernel-2.6.18-170.el5.  host s3/s4  cpu online/offline works fine
on kernel-2.6.18-185.el5.  host cpu online/offline works fine, but s3/s4 failed due to an another kernel bug 550014. 

related test can be found in : 
https://bugzilla.redhat.com/show_bug.cgi?id=506967#c41
https://bugzilla.redhat.com/show_bug.cgi?id=509809#c19
https://bugzilla.redhat.com/show_bug.cgi?id=515557#c24
https://bugzilla.redhat.com/show_bug.cgi?id=524920#c10
https://bugzilla.redhat.com/show_bug.cgi?id=528310#c9
Comment 11 IBM Bug Proxy 2010-02-17 21:30:48 EST
------- Comment From aliguori@us.ibm.com 2010-02-17 21:17 EDT-------
From LTC BZ #54637 Comment #13:

"I  verified that the issue is fixed on an x3200 M2 running the
RHEL5.5 beta 2.6.18-186.el5 kernel.  Closing."

Marking as VERIFIED.
Comment 14 errata-xmlrpc 2010-03-30 03:41:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.